bdi4jade.exception

## Class ParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - bdi4jade.exception.ParameterException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParameterException
      extends java.lang.Exception

  This class represents an exception that occurred when parameters are being set. Such parameters may be plan parameters, for example, that are passed in goals.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterException()` Creates a new instance of ParameterException.
    `ParameterException(java.lang.String _message)` Creates a new instance of ParameterException.
    `ParameterException(java.lang.String _message, java.lang.Throwable _cause)` Creates a new instance of ParameterException.
    `ParameterException(java.lang.Throwable _cause)` Creates a new instance of ParameterException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterException

          public ParameterException()

      Creates a new instance of ParameterException.

    - #### ParameterException

          public ParameterException(java.lang.String _message)

      Creates a new instance of ParameterException.
      Parameters:
        `_message` - the message to show.

    - #### ParameterException

          public ParameterException(java.lang.String _message,
                                    java.lang.Throwable _cause)

      Creates a new instance of ParameterException.
      Parameters:
        `_message` - the message to show.
        `_cause` - the exception that caused this exception.

    - #### ParameterException

          public ParameterException(java.lang.Throwable _cause)

      Creates a new instance of ParameterException.
      Parameters:
        `_cause` - the exception that caused this exception.